<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.gpsboot.mapper.plan.TfYwpnWorkingConditionMapper">

      <resultMap id="tfYwpnWorkingConditionMap" type="com.tofly.pojo.plan.TfYwpnWorkingCondition">
                <id property="id" column="id"/>
                      <result property="planFactoryId" column="plan_factory_id"/>
                      <result property="looksLevel" column="looks_level"/>
                      <result property="looksPhoto" column="looks_photo"/>
                      <result property="duty" column="duty"/>
                      <result property="pretreatmentTxt" column="pretreatment_txt"/>
                      <result property="pretreatmentPhoto" column="pretreatment_photo"/>
                      <result property="twoTankPhoto" column="two_tank_photo"/>
                      <result property="twoTankMudLevel" column="two_tank_mud_level"/>
                      <result property="twoTankExternalReflux" column="two_tank_external_reflux"/>
                      <result property="filterDevice" column="filter_device"/>
                      <result property="outWaterImpression" column="out_water_impression"/>
                      <result property="outWaterOpenChannel" column="out_water_open_channel"/>
                      <result property="flowmeter" column="flowmeter"/>
                      <result property="sample" column="sample"/>
                      <result property="deslimeDevice" column="deslime_device"/>
                      <result property="moistureContent" column="moisture_content"/>
                      <result property="doIndex" column="do_index"/>
                      <result property="mlss" column="mlss"/>
                      <result property="sv30" column="sv30"/>
                      <result property="aerationTankPhoto" column="aeration_tank_photo"/>
                      <result property="orp" column="orp"/>
                      <result property="fanRate" column="fan_rate"/>
                      <result property="waterTemperature" column="water_temperature"/>
                      <result property="internalReflux" column="internal_reflux"/>
                      <result property="createUser" column="CREATE_USER"/>
                      <result property="createTime" column="CREATE_TIME"/>
                      <association property="createUserName" column="CREATE_USER" select="com.tofly.gpsboot.mapper.plan.HydrantrecordMapper.getRealName"/>
                      <association property="looksPhotoPathList" column="looks_photo" select="com.tofly.gpsboot.mapper.plan.HydrantrecordMapper.getFilePathList"/>
                      <association property="pretreatmentPhotoPathList" column="pretreatment_photo" select="com.tofly.gpsboot.mapper.plan.HydrantrecordMapper.getFilePathList"/>
                      <association property="twoTankPhotoPathList" column="two_tank_photo" select="com.tofly.gpsboot.mapper.plan.HydrantrecordMapper.getFilePathList"/>
                      <association property="outWaterOpenChannelPathList" column="out_water_open_channel" select="com.tofly.gpsboot.mapper.plan.HydrantrecordMapper.getFilePathList"/>
                      <association property="flowmeterPathList" column="flowmeter" select="com.tofly.gpsboot.mapper.plan.HydrantrecordMapper.getFilePathList"/>
                      <association property="samplePathList" column="sample" select="com.tofly.gpsboot.mapper.plan.HydrantrecordMapper.getFilePathList"/>
                      <association property="aerationTankPhotoPathList" column="aeration_tank_photo" select="com.tofly.gpsboot.mapper.plan.HydrantrecordMapper.getFilePathList"/>
      </resultMap>


                                                                                                                                                  
</mapper>
